commit 29d911aba4a3d83d2825673bb58ff8a6c152d8b0
Author: freddy77 <freddy77>
Date:   Tue Aug 17 13:16:05 2010 +0000

    fix compile problem with msvc6

diff --git a/ChangeLog b/ChangeLog
index cb0c75c..00f64f4 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Tue Aug 17 15:15:57 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* include/tdsodbc.h win32/FreeTDS_w.def win32/Makefile.am:
+	* win32/msvc6/FreeTDS.dsp win32/msvc6/libTDS.dsp:
+	- fix compile problem with msvc6
+
 Tue Aug 10 09:40:00 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* configure.ac m4/acx_pthread.m4: fix compile with HP-UX compiler
 
@@ -2829,4 +2834,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3112 2010/08/10 07:40:09 freddy77 Exp $
+$Id: ChangeLog,v 1.3113 2010/08/17 13:16:05 freddy77 Exp $
diff --git a/include/tdsodbc.h b/include/tdsodbc.h
index 4d80815..305323b 100644
--- a/include/tdsodbc.h
+++ b/include/tdsodbc.h
@@ -66,7 +66,7 @@ extern "C"
 #endif
 #endif
 
-/* $Id: tdsodbc.h,v 1.125 2010/07/30 09:09:36 freddy77 Exp $ */
+/* $Id: tdsodbc.h,v 1.126 2010/08/17 13:16:05 freddy77 Exp $ */
 
 #if defined(__GNUC__) && __GNUC__ >= 4 && !defined(__MINGW32__)
 #pragma GCC visibility push(hidden)
@@ -75,12 +75,8 @@ extern "C"
 #define ODBC_API SQL_API
 #endif
 
-#if defined(_WIN32) || defined(__CYGWIN__)
-#  ifdef __GNUC__
-#    define ODBC_PUBLIC __attribute__((dllexport))
-#  else
-#    define ODBC_PUBLIC __declspec(dllexport)
-#  endif
+#if (defined(_WIN32) || defined(__CYGWIN__)) && defined(__GNUC__)
+#  define ODBC_PUBLIC __attribute__((dllexport))
 #else
 #  define ODBC_PUBLIC
 #endif
diff --git a/win32/FreeTDS_w.def b/win32/FreeTDS_w.def
new file mode 100644
index 0000000..0a61e01
--- /dev/null
+++ b/win32/FreeTDS_w.def
@@ -0,0 +1,110 @@
+EXPORTS
+	SQLAllocConnect
+	SQLAllocEnv
+	SQLAllocHandle
+	SQLAllocStmt
+	SQLBindCol
+	SQLBindParam
+	SQLBindParameter
+;	SQLBrowseConnect
+	SQLCancel
+	SQLCloseCursor
+	SQLColAttribute
+	SQLColAttributes
+	SQLColumnPrivileges
+	SQLColumns
+	SQLConnect
+	SQLCopyDesc
+	SQLDescribeCol
+;	SQLDescribeParam
+	SQLDisconnect
+	SQLDriverConnect
+	SQLEndTran
+	SQLError
+	SQLExecDirect
+	SQLExecute
+	SQLExtendedFetch
+	SQLFetch
+	SQLFetchScroll
+	SQLForeignKeys
+	SQLFreeConnect
+	SQLFreeEnv
+	SQLFreeHandle
+	SQLFreeStmt
+	SQLGetConnectAttr
+	SQLGetConnectOption
+	SQLGetCursorName
+	SQLGetData
+	SQLGetDescField
+	SQLGetDescRec
+	SQLGetDiagField
+	SQLGetDiagRec
+	SQLGetEnvAttr
+	SQLGetFunctions
+	SQLGetInfo
+	SQLGetStmtAttr
+	SQLGetStmtOption
+	SQLGetTypeInfo
+	SQLMoreResults
+	SQLNativeSql
+	SQLNumParams
+	SQLNumResultCols
+	SQLParamData
+	SQLParamOptions
+	SQLPrepare
+	SQLPrimaryKeys
+	SQLProcedureColumns
+	SQLProcedures
+	SQLPutData
+	SQLRowCount
+	SQLSetConnectAttr
+	SQLSetConnectOption
+	SQLSetCursorName
+	SQLSetDescField
+	SQLSetDescRec
+	SQLSetEnvAttr
+	SQLSetParam
+	SQLSetPos
+	SQLSetScrollOptions
+	SQLSetStmtAttr
+	SQLSetStmtOption
+	SQLSpecialColumns
+	SQLStatistics
+	SQLTablePrivileges
+	SQLTables
+	SQLTransact
+	ConfigDSN
+	ConfigDriver
+	ConfigTranslator
+	DllRegisterServer
+	DllUnregisterServer
+	SQLGetTypeInfoW = SQLGetTypeInfo
+	SQLColAttributeW
+	SQLColumnPrivilegesW
+	SQLColumnsW
+	SQLConnectW
+	SQLDescribeColW
+	SQLDriverConnectW
+	SQLErrorW
+	SQLExecDirectW
+	SQLForeignKeysW
+	SQLGetConnectAttrW
+	SQLGetCursorNameW
+	SQLGetDescFieldW
+	SQLGetDescRecW
+	SQLGetDiagFieldW
+	SQLGetDiagRecW
+	SQLGetInfoW
+	SQLNativeSqlW
+	SQLPrepareW
+	SQLPrimaryKeysW
+	SQLProcedureColumnsW
+	SQLProceduresW
+	SQLSetConnectAttrW
+	SQLSetCursorNameW
+	SQLSetDescFieldW
+	SQLSpecialColumnsW
+	SQLStatisticsW
+	SQLTablePrivilegesW
+	SQLTablesW
+
diff --git a/win32/Makefile.am b/win32/Makefile.am
index 78190d0..3febb6c 100644
--- a/win32/Makefile.am
+++ b/win32/Makefile.am
@@ -1,5 +1,5 @@
 SUBDIRS	= msvc6
-EXTRA_DIST      = config.h FreeTDS.def initnet.c \
+EXTRA_DIST      = config.h FreeTDS.def FreeTDS_w.def initnet.c \
 		tds_sysdep_public.h freetds_sysconfdir.h \
 		winsetup.c winlogin.c \
 		setup.rc resource.h \
diff --git a/win32/msvc6/FreeTDS.dsp b/win32/msvc6/FreeTDS.dsp
index d14b1b8..76c22bf 100644
--- a/win32/msvc6/FreeTDS.dsp
+++ b/win32/msvc6/FreeTDS.dsp
@@ -109,7 +109,7 @@ SOURCE=..\..\src\odbc\error.c
 # End Source File
 # Begin Source File
 
-SOURCE=..\FreeTDS.def
+SOURCE=..\FreeTDS_w.def
 # End Source File
 # Begin Source File
 
diff --git a/win32/msvc6/libTDS.dsp b/win32/msvc6/libTDS.dsp
index 1db1154..c2fe121 100644
--- a/win32/msvc6/libTDS.dsp
+++ b/win32/msvc6/libTDS.dsp
@@ -273,6 +273,10 @@ SOURCE=.\iconv_replacement.c
 # End Source File
 # Begin Source File
 
+SOURCE=..\..\src\replacements\fakepoll.c
+# End Source File
+# Begin Source File
+
 SOURCE=..\..\src\replacements\strlcpy.c
 # End Source File
 # Begin Source File

